package org.nl.system.service.user;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.nl.common.domain.query.PageQuery;
import org.nl.system.service.user.dao.SysUser;
import org.nl.system.service.user.dto.SysUserDetail;
import org.nl.system.service.user.dto.UserDataPermissionDto;
import org.nl.system.service.user.dto.UserQuery;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author generator
 * @since 2022-12-15
 */
public interface ISysUserService extends IService<SysUser> {

    Map<String, String> updateAvatar(MultipartFile avatar);

    List<SysUserDetail> getUserDetail(UserQuery query, PageQuery pageQuery);

    void create(Map userDetail);

    void update(Map userDetail);

    List<UserDataPermissionDto> getUserDataPermissionByPermissionId(String permissionId);
    List<UserDataPermissionDto> getUserDataPermissionByUserId(String userId);

    void deleteDataPermissionById(String userId);

    void insertDataPermission(UserDataPermissionDto userDataPermissionDto);

    List<String> getUserIdByDeptId(String deptId);
}
